# Changelog

## [0.3.6](https://github.com/BlueBrain/neurocollage/compare/0.3.5..0.3.6)

> 8 November 2024

### CI Improvements

- (dependabot) Bump mikepenz/action-junit-report from 4 to 5 (Alexis Arnaudon - [#1](https://github.com/BlueBrain/neurocollage/pull/1))

### Build

- Drop support for Python 3.8 (Adrien Berchet - [f874e61](https://github.com/BlueBrain/neurocollage/commit/f874e61c8823003cc1dd2ca79aab66cfd178d2a8))
- Bump pytest min version (Adrien Berchet - [ad7160d](https://github.com/BlueBrain/neurocollage/commit/ad7160dada355466ca500e87acc26597e4664ed4))
- Freeze docutils version to be compatible with m2r2 (Adrien Berchet - [427f33b](https://github.com/BlueBrain/neurocollage/commit/427f33b699c0d8b0455f61ca555da01d73f0aeea))

### New Features

- Drop atlas_analysis dep (Alexis Arnaudon - [d22756f](https://github.com/BlueBrain/neurocollage/commit/d22756f21c1a83330d7f43906a546a1a884c041a))

### Chores And Housekeeping

- Bump Copier template (Adrien Berchet - [4f0a2fa](https://github.com/BlueBrain/neurocollage/commit/4f0a2fae4ad60410a90868775f4c54cd95d8acd4))
- Minor fixes (Adrien Berchet - [a57dd62](https://github.com/BlueBrain/neurocollage/commit/a57dd62640c94e502cc991b8ba563a926ad4131c))
- Bump Copier template (Adrien Berchet - [4072b74](https://github.com/BlueBrain/neurocollage/commit/4072b74b29a41032b8670a8bf1a5f689c2818715))
- Use load_morphology to be compatible with NeuroM v4 (Adrien Berchet - [bb9567f](https://github.com/BlueBrain/neurocollage/commit/bb9567f9f0f604a7204260e9f2e5ce9acdd7e343))
- Update PyLint config (Adrien Berchet - [eb52d35](https://github.com/BlueBrain/neurocollage/commit/eb52d357900426ac319fe87b3412f90acde677bb))

### Documentation Changes

- Fix generation (Adrien Berchet - [d8429d8](https://github.com/BlueBrain/neurocollage/commit/d8429d8504db6a4dc41ed7e9ce518fcb271960c7))

### General Changes

- Merge pull request #2 from BlueBrain/fix_os (Alexis Arnaudon - [a48b05f](https://github.com/BlueBrain/neurocollage/commit/a48b05f7a53bca18a4fef0d8397644be5df4bc50))
- Update README.md (Alexis Arnaudon - [6f43206](https://github.com/BlueBrain/neurocollage/commit/6f432065fcfc304739dc9647091e71e4cbd8a9ef))
- more (arnaudon - [2fe7d83](https://github.com/BlueBrain/neurocollage/commit/2fe7d839e91bfc568eeabdfcb9512d79ecd72a24))
- tox (arnaudon - [c2f3c1f](https://github.com/BlueBrain/neurocollage/commit/c2f3c1fce624d4468e280f86a8a49438f0ff2d76))
- Update README.md (Alexis Arnaudon - [0a8a14f](https://github.com/BlueBrain/neurocollage/commit/0a8a14ff91fd5441b8f490809637b5cf7235ee3f))
- deps (arnaudon - [0e9a431](https://github.com/BlueBrain/neurocollage/commit/0e9a43145c6fdbf0cacd416cd2c4398a337c9ea6))

## [0.3.5](https://github.com/BlueBrain/neurocollage/compare/0.3.4..0.3.5)

> 8 November 2024

### Build

- Bump BluePySnap (Adrien Berchet - [730e02b](https://github.com/BlueBrain/neurocollage/commit/730e02b429d62c44c1c2d853c7291498e656c626))

### New Features

- Option to make video of 2d collages (Alexis Arnaudon - [cc9dbfc](https://github.com/BlueBrain/neurocollage/commit/cc9dbfcaf0dd7ee05190a4c2456de8edef198666))
- Add plane option to 3d vectors (Alexis Arnaudon - [e338501](https://github.com/BlueBrain/neurocollage/commit/e3385018aa4fb8f7272deb617e443a1f8beb0074))

## [0.3.4](https://github.com/BlueBrain/neurocollage/compare/0.3.3..0.3.4)

> 8 November 2024

### New Features

- Add 3d vector fields (Alexis Arnaudon - [31114b1](https://github.com/BlueBrain/neurocollage/commit/31114b1ab8401ea489f5123b925c90fa5fad6a98))
- Improve vector fields 3d plots (Alexis Arnaudon - [94a2f9e](https://github.com/BlueBrain/neurocollage/commit/94a2f9e61e7e98fab7c81cee173518c3af7ef199))
- More 3d vector fields (Alexis Arnaudon - [07bf34c](https://github.com/BlueBrain/neurocollage/commit/07bf34c67d0aa86386122da67fab6eb1be03617f))

### Fixes

- Axis bounds (Alexis Arnaudon - [73a34d9](https://github.com/BlueBrain/neurocollage/commit/73a34d951dd22c52258110a6aa76d33fd6aa6656))

## [0.3.3](https://github.com/BlueBrain/neurocollage/compare/0.3.2..0.3.3)

> 8 November 2024

### Build

- Bump region-grower (Adrien Berchet - [9fcc593](https://github.com/BlueBrain/neurocollage/commit/9fcc59327367f9b1810d96dbabc5517eea34da0e))

### New Features

- Small improvements (Alexis Arnaudon - [fbbe42d](https://github.com/BlueBrain/neurocollage/commit/fbbe42d088dc832a288421388647ab71800d04b7))

## [0.3.2](https://github.com/BlueBrain/neurocollage/compare/0.3.1..0.3.2)

> 8 November 2024

### Build

- Bump bluepysnap (Adrien Berchet - [4b6c908](https://github.com/BlueBrain/neurocollage/commit/4b6c9080caccd9c6fc63973d10b2a019f2438cea))

### New Features

- Handle data without layers (arnaudon - [4a31376](https://github.com/BlueBrain/neurocollage/commit/4a313766e9d32c8ff7cdb2f12ee0661004cde2e8))

### Fixes

- Small improvements on 3d collage (Alexis Arnaudon - [e1e4075](https://github.com/BlueBrain/neurocollage/commit/e1e40750a837e048fd2800f57f0bdd3a8f494d9f))
- Fix centerline seed (Alexis Arnaudon - [6e2029d](https://github.com/BlueBrain/neurocollage/commit/6e2029d8bf2153f40c1e48644ed35f015a60fdeb))

## [0.3.1](https://github.com/BlueBrain/neurocollage/compare/0.3.0..0.3.1)

> 8 November 2024

### Fixes

- Small fixing (Alexis Arnaudon - [f6919d7](https://github.com/BlueBrain/neurocollage/commit/f6919d7979e993b015376f7be81794f6329ad8b3))
- Missing region (Alexis Arnaudon - [4392a3e](https://github.com/BlueBrain/neurocollage/commit/4392a3e127a777a60c83139931f876c19593eacf))

## [0.3.0](https://github.com/BlueBrain/neurocollage/compare/0.2.1..0.3.0)

> 8 November 2024

### New Features

- Use multi region (Alexis Arnaudon - [5b4f6fb](https://github.com/BlueBrain/neurocollage/commit/5b4f6fbff2834ba8199946339231ce6629a2cc5a))
- With O1 and more mesh helper (Alexis Arnaudon - [5021554](https://github.com/BlueBrain/neurocollage/commit/5021554eda806239b010d2e2f4d794cb82bc9004))

### Chores And Housekeeping

- Bump Copier template (Adrien Berchet - [b78f6bb](https://github.com/BlueBrain/neurocollage/commit/b78f6bb2c0fa80cab40f693e3560115a1a2d2360))

### General Changes

- Add list of mtypes in CLI (Alexis Arnaudon - [adda869](https://github.com/BlueBrain/neurocollage/commit/adda869a34710a2f2407ba7dd8da968da002866a))
- Fix for 1 plane case (Alexis Arnaudon - [5d7826c](https://github.com/BlueBrain/neurocollage/commit/5d7826c502d94343153c89a72ccd8be7c01fb254))

## [0.2.1](https://github.com/BlueBrain/neurocollage/compare/0.2.0..0.2.1)

> 8 November 2024

### Chores And Housekeeping

- Fix Pandas warnings (Adrien Berchet - [20aa67b](https://github.com/BlueBrain/neurocollage/commit/20aa67b2cd18ee218c5963791fb37fa54689016c))

## [0.2.0](https://github.com/BlueBrain/neurocollage/compare/0.1.4..0.2.0)

> 8 November 2024

### General Changes

- Adding 3d collage and related functions (Alexis Arnaudon - [e98d7c5](https://github.com/BlueBrain/neurocollage/commit/e98d7c5189b2b81f3f2b5737e6331e0b7120dba9))

## [0.1.4](https://github.com/BlueBrain/neurocollage/compare/0.1.3..0.1.4)

> 8 November 2024

### Documentation Changes

- Display image in both the README and the documentation (Adrien Berchet - [43d759f](https://github.com/BlueBrain/neurocollage/commit/43d759fce6e6679adbcd19ab2966383d2cbf4fc7))

### Refactoring and Updates

- Apply Copier template (Adrien Berchet - [745a00c](https://github.com/BlueBrain/neurocollage/commit/745a00c1951dd03b99c89938ba60fbae20614b44))

### Changes to Test Assests

- Use temporary files for data built during test setup (Adrien Berchet - [51e33af](https://github.com/BlueBrain/neurocollage/commit/51e33afcb941b27039253b8d7a4592aa382dff74))

### CI Improvements

- Export test and coverage reports (Adrien Berchet - [b2da076](https://github.com/BlueBrain/neurocollage/commit/b2da0762d5b45c24cdb46623f0df2a1810c08503))

### General Changes

- Add plot of left/right planes (Alexis Arnaudon - [d897bba](https://github.com/BlueBrain/neurocollage/commit/d897bba5970eaaf5194a13e383998656d558a8f1))
- Improvements (Alexis Arnaudon - [5c4342c](https://github.com/BlueBrain/neurocollage/commit/5c4342ccc544768009a3c64e92e86a9c386db988))
- Use furthest away cells (Alexis Arnaudon - [686188d](https://github.com/BlueBrain/neurocollage/commit/686188d0d44ff624c6c5d2a5a9abac46373fd59d))

## [0.1.3](https://github.com/BlueBrain/neurocollage/compare/0.1.2..0.1.3)

> 8 November 2024

### Documentation Changes

- Improve documentation and add an output image example (Alexis Arnaudon - [edef71a](https://github.com/BlueBrain/neurocollage/commit/edef71aea41444e74ea0a0108e7e8126d83d550b))

## [0.1.2](https://github.com/BlueBrain/neurocollage/compare/0.1.1..0.1.2)

> 8 November 2024

### General Changes

- Improve doc (Adrien Berchet - [1f62c93](https://github.com/BlueBrain/neurocollage/commit/1f62c9304a68ad21769e161d3cc1054f83bbce2f))

## [0.1.1](https://github.com/BlueBrain/neurocollage/compare/0.1.0..0.1.1)

> 8 November 2024

### General Changes

- Set package name to lower case (Adrien Berchet - [303bf40](https://github.com/BlueBrain/neurocollage/commit/303bf40a5fbd59545446b627c3a347bfb3745a32))

## 0.1.0

> 8 November 2024

### General Changes

- Initial code (Alexis Arnaudon - [d417652](https://github.com/BlueBrain/neurocollage/commit/d417652e36c58cac7aa8171d1d77a6733dd09332))
- Initial commit (Adrien Berchet - [b90d31d](https://github.com/BlueBrain/neurocollage/commit/b90d31d60661873dab4c2bd217bb42ab7cbd28bc))
